package net.northking.cctp.se.lifecycle.entity;

import java.util.Map;

/**
 * 心跳信息
 */
public class HeartbeatInfoDto {
    /**
     * 引擎ID
     */
    private String engineId;
    /**
     * 引擎版本
     */
    private String engineVersion;

    /**
     * 设备状态
     */
    private String engineStatus;

    /**
     * 执行池信息
     */
    private Map<String, Object> executePoolInfo;

    public String getEngineId() {
        return engineId;
    }

    public void setEngineId(String engineId) {
        this.engineId = engineId;
    }

    public String getEngineVersion() {
        return engineVersion;
    }

    public void setEngineVersion(String engineVersion) {
        this.engineVersion = engineVersion;
    }

    public String getEngineStatus() {
        return engineStatus;
    }

    public void setEngineStatus(String engineStatus) {
        this.engineStatus = engineStatus;
    }

    public Map<String, Object> getExecutePoolInfo() {
        return executePoolInfo;
    }

    public void setExecutePoolInfo(Map<String, Object> executePoolInfo) {
        this.executePoolInfo = executePoolInfo;
    }
}
